> ## Documentation Index
> Fetch the complete documentation index at: https://generaltranslation.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# リストメンバー概要

> リストメンバー用エンドポイントの利用を開始する

export const Button = ({href, children}) => {
  return <div className="not-prose group">
    <a href={href}>
      <button className="flex items-center space-x-2.5 py-1 px-4 bg-primary-dark dark:bg-white text-white dark:text-gray-950 rounded-full group-hover:opacity-[0.9] font-medium">
        <span>
          {children}
        </span>
        <svg width="3" height="24" viewBox="0 -9 3 24" class="h-6 rotate-0 overflow-visible"><path d="M0 0L3 3L0 6" fill="none" stroke="currentColor" stroke-width="1.5" stroke-linecap="round"></path></svg>
      </button>
    </a>
  </div>;
};

List members エンドポイントを使用すると、リストのメンバーを取得し、リストのメンバーを管理できます。

<Note>
  **前提条件**

  作業を始める前に、次のものが必要です。

  * 承認済みの App を持つ[開発者アカウント](https://developer.x.com/en/portal/petition/essential/basic-info)
  * App のベアラートークン (ルックアップ用)
  * ユーザーアクセス・トークン (メンバー管理用)
</Note>

***

<div id="available-endpoints">
  ## 利用可能なエンドポイント
</div>

<CardGroup cols={2}>
  <Card title="リストメンバーの検索" icon="users" href="/ja/x-api/lists/list-members/quickstart/list-members-lookup">
    リストのメンバーを取得
  </Card>

  <Card title="リストメンバーの管理" icon="user-plus" href="/ja/x-api/lists/list-members/quickstart/manage-list-members">
    メンバーを追加・削除
  </Card>
</CardGroup>

***

<div id="authentication">
  ## 認証
</div>

| 操作         | 認証                                     |
| :--------- | :------------------------------------- |
| メンバーを取得    | ベアラートークン、OAuth 1.0a、または OAuth 2.0 PKCE |
| メンバーを追加/削除 | OAuth 1.0a または OAuth 2.0 PKCE          |

***

<div id="quick-example">
  ## 簡単な例
</div>

<CodeGroup dropdown>
  ```bash cURL theme={null}
  # リストのメンバーを取得
  curl "https://api.x.com/2/lists/84839422/members" \
    -H "Authorization: Bearer $BEARER_TOKEN"
  ```

  ```python Python SDK theme={null}
  from xdk import Client

  client = Client(bearer_token="YOUR_BEARER_TOKEN")

  # リストのメンバーを取得
  for page in client.lists.get_members("84839422"):
      for user in page.data:
          print(f"{user.username}")
  ```

  ```javascript JavaScript SDK theme={null}
  import { Client } from "@xdevplatform/xdk";

  const client = new Client({ bearerToken: "YOUR_BEARER_TOKEN" });

  // リストのメンバーを取得
  const paginator = client.lists.getMembers("84839422");

  for await (const page of paginator) {
    page.data?.forEach((user) => {
      console.log(user.username);
    });
  }
  ```
</CodeGroup>

***

<div id="next-steps">
  ## 次のステップ
</div>

<CardGroup cols={2}>
  <Card title="リストの検索" icon="list" href="/ja/x-api/lists/list-lookup/quickstart">
    リストの詳細を取得する
  </Card>

  <Card title="リストの投稿" icon="message" href="/ja/x-api/lists/list-tweets/quickstart">
    リストから投稿を取得する
  </Card>
</CardGroup>
